httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Michael Felt <mamf...@gmail.com>
Subject Re: [users@httpd] "configure" error on openssl v1.0.1c for apache 2.2.22
Date Sun, 17 Jun 2012 17:44:44 GMT
An idea? Yes. Guarantee - no.

Maybe there are new configure options for openssl - so my idea would be to
compare the config.log files of the one that works with the one that does
not, or a diff of the Makefiles.

On Fri, Jun 15, 2012 at 9:10 PM, Ruiyuan Jiang <RJiang@fnpc.com> wrote:

> Hi, all
>
> I am trying to upgrade my Openssl for Apache httpd to the latest version
> v1.0.1c on RHEL v6.2 (64 bit). Openssl compiled and installed no problem. I
> then tried to configure httpd v2.2.22 and got error message:
>
> checking for library containing crypt... -lcrypt
> checking for getpwnam... yes
> checking for getgrnam... yes
> checking for initgroups... yes
> checking for bindprocessor... no
> checking for prctl... yes
> checking for timegm... yes
> checking for getpgid... yes
> checking for void pointer length... no
> checking for tm_gmtoff in struct tm... yes
> checking whether to enable mod_authn_file... shared (all)
> checking whether to enable mod_authn_dbm... shared (all)
> checking whether to enable mod_authn_anon... shared (all)
> checking whether to enable mod_authn_dbd... shared (all)
> checking whether to enable mod_authn_default... shared (all)
> checking whether to enable mod_authn_alias... no
> checking whether to enable mod_authz_host... shared (all)
> checking whether to enable mod_authz_groupfile... shared (all)
> checking whether to enable mod_authz_user... shared (all)
> checking whether to enable mod_authz_dbm... shared (all)
> checking whether to enable mod_authz_owner... shared (all)
> checking whether to enable mod_authnz_ldap... checking dependencies
> checking whether to enable mod_authnz_ldap... shared (all)
> checking whether to enable mod_authz_default... shared (all)
> checking whether to enable mod_auth_basic... shared (all)
> checking whether to enable mod_auth_digest... checking dependencies
> checking whether to enable mod_auth_digest... shared (all)
> checking whether to enable mod_isapi... no
> checking whether to enable mod_file_cache... no
> checking whether to enable mod_cache... no
> checking whether to enable mod_disk_cache... no
> checking whether to enable mod_mem_cache... no
> checking whether to enable mod_dbd... shared (all)
> checking whether to enable mod_bucketeer... no
> checking whether to enable mod_dumpio... shared (all)
> checking whether to enable mod_echo... no
> checking whether to enable mod_example... no
> checking whether to enable mod_case_filter... no
> checking whether to enable mod_case_filter_in... no
> checking whether to enable mod_reqtimeout... shared (all)
> checking whether to enable mod_ext_filter... shared (all)
> checking whether to enable mod_include... shared (all)
> checking whether to enable mod_filter... shared (all)
> checking whether to enable mod_substitute... shared (all)
> checking whether to enable mod_charset_lite... no
> checking whether to enable mod_deflate... checking dependencies
> checking for zlib location... /usr
>  adding "-lz" to LIBS
> checking for zlib library... found
>  forcing MOD_DEFLATE_LDADD to "-lz"
>  removed "-lz" from LIBS
> checking whether to enable mod_deflate... shared (all)
> checking whether to enable mod_ldap... checking dependencies
> checking whether to enable mod_ldap... shared (all)
> checking whether to enable mod_log_config... shared (all)
> checking whether to enable mod_log_forensic... shared (all)
>  adding "-I$(top_builddir)/server" to INCLUDES
> checking whether to enable mod_logio... shared (all)
> checking whether to enable mod_env... shared (all)
> checking whether to enable mod_mime_magic... shared (all)
> checking whether to enable mod_cern_meta... shared (all)
> checking whether to enable mod_expires... shared (all)
> checking whether to enable mod_headers... shared (all)
> checking whether to enable mod_ident... shared (all)
> checking whether to enable mod_usertrack... checking dependencies
> checking sys/times.h usability... yes
> checking sys/times.h presence... yes
> checking for sys/times.h... yes
> checking for times... yes
> checking whether to enable mod_usertrack... shared (all)
> checking whether to enable mod_unique_id... shared (all)
> checking whether to enable mod_setenvif... shared (all)
> checking whether to enable mod_version... shared (all)
> checking whether to enable mod_proxy... shared (all)
> checking whether to enable mod_proxy_connect... shared (all)
> checking whether to enable mod_proxy_ftp... shared (all)
> checking whether to enable mod_proxy_http... shared (all)
> checking whether to enable mod_proxy_scgi... shared (all)
> checking whether to enable mod_proxy_ajp... shared (all)
> checking whether to enable mod_proxy_balancer... shared (all)
>  adding "-I$(top_srcdir)/modules/proxy/../generators" to INCLUDES
> checking whether to enable mod_ssl... checking dependencies
> checking for SSL/TLS toolkit base... /usr/local/ssl-1.0.1c
>  adding "-I/usr/local/ssl-1.0.1c/include" to CPPFLAGS
>  adding "-I/usr/local/ssl-1.0.1c/include" to INCLUDES
>  adding "-L/usr/local/ssl-1.0.1c/lib" to LDFLAGS
> checking for OpenSSL version... checking openssl/opensslv.h usability...
> yes
> checking openssl/opensslv.h presence... yes
> checking for openssl/opensslv.h... yes
> checking openssl/ssl.h usability... yes
> checking openssl/ssl.h presence... yes
> checking for openssl/ssl.h... yes
> OK
>  forcing SSL_LIBS to "-lssl -lcrypto  "
>  adding "-lssl" to LIBS
>  adding "-lcrypto" to LIBS
> checking openssl/engine.h usability... yes
> checking openssl/engine.h presence... yes
> checking for openssl/engine.h... yes
> checking for SSLeay_version... yes
> checking for SSL_CTX_new... no
> checking for ENGINE_init... no
> checking for ENGINE_load_builtin_engines... no
> checking for SSL_set_cert_store... no
> configure: error: ... Error, SSL/TLS libraries were missing or unusable
> #
>
> I tried with openssl v1.0.0j and "configure" stopped at the same place
> with the same message. I then tried openssl v1.0.0g and httpd comipled
> successfully. Do anyone know why? The "configure" command has the same
> options for different version of openssl. Thanks.
>
> Ryan Jiang
>
>
>
> This message (including any attachments) is intended
> solely for the specific individual(s) or entity(ies) named
> above, and may contain legally privileged and
> confidential information. If you are not the intended
> recipient, please notify the sender immediately by
> replying to this message and then delete it.
> Any disclosure, copying, or distribution of this message,
> or the taking of any action based on it, by other than the
> intended recipient, is strictly prohibited.
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
> For additional commands, e-mail: users-help@httpd.apache.org
>
>

Mime
View raw message